> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of FedEx or UPS store locations where a hold of a shipment for an order is possible



## OpenAPI

````yaml /openapi.json get /api/v1/Shipments/Carriers/HoldAtLocations
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Shipments/Carriers/HoldAtLocations:
    get:
      tags:
        - Shipments
      summary: >-
        Gets a list of FedEx or UPS store locations where a hold of a shipment
        for an order is possible
      parameters:
        - name: carrier
          in: query
          description: FedEx or UPS. Defaults to FedEx
          required: true
          schema:
            $ref: '#/components/schemas/CarrierLocationCarrierEnum'
        - name: line1
          in: query
          description: Address Line 1
          required: true
          schema:
            type: string
        - name: line2
          in: query
          description: Address line 2.
          schema:
            type: string
        - name: line3
          in: query
          description: Address line 3.
          schema:
            type: string
        - name: city
          in: query
          description: City name.
          required: true
          schema:
            maxLength: 100
            type: string
        - name: stateCode
          in: query
          description: Two-character state code.
          required: true
          schema:
            maxLength: 2
            minLength: 2
            type: string
        - name: postalCode
          in: query
          description: Postal code.
          required: true
          schema:
            maxLength: 11
            minLength: 5
            type: string
        - name: countryCode
          in: query
          description: Country code (Only US is currently supported).
          schema:
            maxLength: 2
            minLength: 2
            type: string
            default: US
      responses:
        '200':
          description: A list of addresses for FedEx or UPS stores near an address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierLocationListServiceResult'
components:
  schemas:
    CarrierLocationCarrierEnum:
      enum:
        - FedEx
        - UPS
      type: string
    CarrierLocationListServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/CarrierLocation'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    CarrierLocation:
      required:
        - city
        - line1
        - postalCode
        - stateCode
      type: object
      properties:
        carrier:
          $ref: '#/components/schemas/CarrierLocationCarrierEnum'
        carrierLocationId:
          type: string
          description: The ID of the location assigned by the carrier, this is optional
          nullable: true
        distanceMiles:
          type: number
          description: How far the carrier's store is from the address passed in
          format: double
        line1:
          minLength: 1
          type: string
          description: Address Line 1
        line2:
          type: string
          description: Address line 2.
          nullable: true
        line3:
          type: string
          description: Address line 3.
          nullable: true
        city:
          minLength: 1
          type: string
          description: City name.
        stateCode:
          minLength: 1
          type: string
          description: Two-character state code.
        postalCode:
          minLength: 1
          type: string
          description: Postal code.
        countryCode:
          type: string
          description: Country code (default is US).
          default: US
          nullable: true
      additionalProperties: false
      description: A FedEx or UPS location where a shipment can be held at
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````